Android 库上传到Bintray遇到的坑

1.bintrayUpload: Could not find publication: release

原因:bintray-release0.5.0使用的Gradle版本必须在3.4以上。如果您需要使用Gradle 3.3及更低版本,请使用之前的版本
解决方法:

  1. apply plugin: 'com.novoda.bintray-release'这句代码必须在apply plugin: 'com.android.library'下面
  2. classpath 'com.android.tools.build:gradle:2.3.0' 中的版本必须在2.3.0以上
  3. 检查项目gradle目录下的gradle-wrapper.jar和gradle-wrapper.properties文件,看gradle版本是否正确

distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https://services.gradle.org/distributions/gradle-3.4.1-all.zip //这里必须是3.4.1以上
org.gradle.parallel=true
org.gradle.daemon=true

推荐阅读更多精彩内容